Skip to main content
GET
/
api
/
knowledge-clause-features
/
{id}
Get KnowledgeClauseFeature by ID
curl --request GET \
  --url https://platform.kodexa.ai/api/knowledge-clause-features/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://platform.kodexa.ai/api/knowledge-clause-features/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://platform.kodexa.ai/api/knowledge-clause-features/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "changeSequence": 123,
  "clauseId": "<string>",
  "createdOn": "2023-11-07T05:31:56Z",
  "feature": {
    "active": true,
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "extendedProperties": "<unknown>",
    "featureType": {
      "active": true,
      "changeSequence": 123,
      "color": "<string>",
      "createdOn": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "extendedOptions": "<unknown>",
      "icon": "<string>",
      "id": "<string>",
      "labelJsonPath": "<string>",
      "name": "<string>",
      "options": "<unknown>",
      "organization": {
        "archived": true,
        "authGroupLink": {
          "authGroup": "<string>"
        },
        "changeSequence": 123,
        "createdOn": "2023-11-07T05:31:56Z",
        "defaultToPrivateTemplates": true,
        "description": "Document processing organization for Acme Corp.",
        "enterpriseOrganization": true,
        "features": {},
        "hasImage": true,
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "memory": {
          "orderedDashboards": [
            "<string>"
          ]
        },
        "name": "Acme Corp",
        "organizationStatus": "ACTIVE",
        "properties": {},
        "publicAccess": true,
        "searchText": "<string>",
        "slug": "acme-corp",
        "stripeCustomerId": "<string>",
        "supportAccess": true,
        "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
        "updatedOn": "2023-11-07T05:31:56Z",
        "uuid": "550e8400e29b41d4a716446655440000"
      },
      "organizationId": "<string>",
      "slug": "<string>",
      "updatedOn": "2023-11-07T05:31:56Z",
      "useJSONata": true,
      "uuid": "<string>"
    },
    "featureTypeId": "<string>",
    "id": "<string>",
    "organization": {
      "archived": true,
      "authGroupLink": {
        "authGroup": "<string>"
      },
      "changeSequence": 123,
      "createdOn": "2023-11-07T05:31:56Z",
      "defaultToPrivateTemplates": true,
      "description": "Document processing organization for Acme Corp.",
      "enterpriseOrganization": true,
      "features": {},
      "hasImage": true,
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "memory": {
        "orderedDashboards": [
          "<string>"
        ]
      },
      "name": "Acme Corp",
      "organizationStatus": "ACTIVE",
      "properties": {},
      "publicAccess": true,
      "searchText": "<string>",
      "slug": "acme-corp",
      "stripeCustomerId": "<string>",
      "supportAccess": true,
      "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "550e8400e29b41d4a716446655440000"
    },
    "organizationId": "<string>",
    "properties": "<unknown>",
    "slug": "<string>",
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "<string>"
  },
  "featureId": "<string>",
  "id": "<string>",
  "positive": true,
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Response

The KnowledgeClauseFeature

A knowledge clause feature represents a data point within a knowledge clause.

changeSequence
integer<int32>
clauseId
string | null
createdOn
string<date-time>
feature
object | null

A knowledge feature represents a specific data point within a knowledge item.

featureId
string | null
id
string
positive
boolean
updatedOn
string<date-time>
uuid
string